javax.security.auth.message

## Interface MessageInfo

-     public interface MessageInfo

  A message processing runtime uses this interface to pass messages and message processing state to authentication contexts for processing by authentication modules.

  This interface encapsulates a request message object and a response message object for a message exchange. This interface may also be used to associate additional context in the form of key/value pairs, with the encapsulated messages.

  Every implementation of this interface should provide a zero argument constructor, and a constructor which takes a single Map argument. Additional constructors may also be provided.

  See Also:
    `Map`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map` | `getMap()` Get (a reference to) the Map object of this MessageInfo.
    `Object` | `getRequestMessage()` Get the request message object from this MessageInfo.
    `Object` | `getResponseMessage()` Get the response message object from this MessageInfo.
    `void` | `setRequestMessage(Object request)` Set the request message object in this MessageInfo.
    `void` | `setResponseMessage(Object response)` Set the response message object in this MessageInfo.

- - ### Method Detail

    - #### getRequestMessage

          Object getRequestMessage()

      Get the request message object from this MessageInfo.
      Returns:
        An object representing the request message, or null if no request message is set within the MessageInfo.

    - #### getResponseMessage

          Object getResponseMessage()

      Get the response message object from this MessageInfo.
      Returns:
        an object representing the response message, or null if no response message is set within the MessageInfo.

    - #### setRequestMessage

          void setRequestMessage(Object request)

      Set the request message object in this MessageInfo.
      Parameters:
        `request` - An object representing the request message.

    - #### setResponseMessage

          void setResponseMessage(Object response)

      Set the response message object in this MessageInfo.
      Parameters:
        `response` - An object representing the response message.

    - #### getMap

          Map getMap()

      Get (a reference to) the Map object of this MessageInfo. Operations performed on the acquired Map must effect the Map within the MessageInfo.
      Returns:
        the Map object of this MessageInfo. This method never returns null. If a Map has not been associated with the MessageInfo, this method instantiates a Map, associates it with this MessageInfo, and then returns it.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.